# $Revision: 1.17 $, $Date: 2002/08/24 21:16:48 $
%define		mod_name	auth_samba
%define 	apxs	/usr/sbin/apxs
Summary:	This is the samba authentication module for Apache
Summary(pl):	Modu autentykacji samba dla Apache
Name:		apache-mod_%{mod_name}
Version:	1.1
Release:	5
License:	GPL
Group:		Networking/Daemons
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/modauthsamba/mod_%{mod_name}-%{version}.tar.gz
Patch0:		%{name}-symbol_fix.patch
URL:		http://modauthsamba.sourceforge.net/
BuildRequires:	%{apxs}
BuildRequires:	apache(EAPI)-devel
BuildRequires:	gdbm-devel
BuildRequires:	pam-devel
BuildRequires:	pam_smb
Prereq:		%{_sbindir}/apxs
Requires:	pam_smb
Requires:	apache(EAPI)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR)

%description
This is an authentication module for Apache that allows you to
authenticate HTTP clients using user entries in an samba directory.

%description -l pl
To jest modu autentykacji dla Apache pozwalajcy na autentykacj
klientw HTTP z uyciem wpisw w katalogu samby.

%prep
%setup -q -n mod_%{mod_name}
%patch0 -p1

%build
%{apxs} -c mod_%{mod_name}.c -o mod_%{mod_name}.so -lgdbm -lcrypt -lpam /lib/security/pam_smb_auth.so

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pkglibdir}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{apxs} -e -a -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
fi

%preun
if [ "$1" = "0" ]; then
	%{apxs} -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
	if [ -f /var/lock/subsys/httpd ]; then
		/etc/rc.d/init.d/httpd restart 1>&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc *.html
%attr(755,root,root) %{_pkglibdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: apache-mod_auth_samba.spec,v $
Revision 1.17  2002/08/24 21:16:48  marcus
- fixed Source0:
- rel.5.

Revision 1.16  2002/08/13 15:06:21  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.15  2002/04/25 15:45:33  arturs
fixed a small typo

Revision 1.14  2002/02/23 01:13:38  kloczek
- adapterized.

Revision 1.13  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/02/17 21:04:54  ankry
- release 4

Revision 1.11  2002/02/17 19:04:20  ankry
- adapterized

Revision 1.10  2002/02/17 19:01:42  ankry
- added %%{apxs} local macro to avoid adapter problems
- fix use of %%{apxs} and %%{_sbindir}/apxs
- added BR %%{apxs} and Prereq %%{_sbindir}/apxs (if necessary); removed BR apache

Revision 1.9  2002/01/18 02:12:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/11/13 08:03:48  qboosh
- BuildRequires: pam_smb is back (it _is_ needed)

Revision 1.7  2001/11/10 17:04:40  kloczek
- removed pam_smb from BuildRequires rules.

Revision 1.6  2001/11/06 15:22:25  qboosh
- release 3: added %%doc (one html file)

Revision 1.5  2001/10/31 16:26:39  qboosh
- release 2: fixed module linking (ugly, but works)

Revision 1.4  2001/09/11 12:26:54  qboosh
- pl translations

Revision 1.3  2001/05/28 23:52:31  kloczek
- added symbol_fix patch which allow (de)register module using apxs.

Revision 1.2  2001/05/28 20:52:31  kloczek
- spec adapterized and some cleanups.

Revision 1.1  2001/05/28 20:49:44  serek
- new & works for me.
